using PkmnLib.Plugin.Gen7.Scripts.Pokemon;

namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "magma_storm")]
public class MagmaStorm : MultiHitMove, IScriptOnSecondaryEffect
{
    /// <inheritdoc />
    public void OnSecondaryEffect(IExecutingMove move, IPokemon target, byte hit)
    {
        target.Volatile.StackOrAdd("magma_storm", () => new MagmaStormEffect(target));
    }
}